#ifndef AREA_BUSINESS_FORBID_H
#define AREA_BUSINESS_FORBID_H

#include"area_business.h"

struct area_business_forbid:area_business
{
    area_business_forbid();

    int area_business_type()
    {
        return 7;
    }
    //记录进入时间等信息,生成告警
    void on_enter(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data>&ptr);
    void on_hover(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
    //记录退出时间等信息
    void on_leave(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
};

#endif // AREA_BUSINESS_FORBID_H


